package com.community.huiju.dao;

import com.community.huiju.model.TaUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TaUserMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaUser record);

    int insertSelective(TaUser record);

    TaUser selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaUser record);

    int updateByPrimaryKey(TaUser record);

    /**
     * 根据loginName和loginPassword 查询用户
     * @param map
     * @return 用户
     */
    TaUser selectByLoginNameAndByLoginPassword(Map<String, Object> map);

    /**
     * 根据loginName 和 小区id 查询用户
     * @param map
     * @return 用户
     */
    TaUser selectByLoginName(Map<String, Object> map);

    /**
     * 更新当前用户电话
     * @param record
     * @return
     */
    TaUser ubdateLongName(TaUser record);

    /**
     * 查询房屋成员列表
     * @param parentId
     * @return
     */
    List<TaUser> selectUserListByParentId(Integer parentId);
}